# Changelog

## [integrations/langfuse-v0.6.3] - 2025-01-15

### 🌀 Miscellaneous

- Chore: Langfuse - pin `haystack-ai>=2.9.0` and simplify message conversion (#1292)

## [integrations/langfuse-v0.6.2] - 2025-01-02

### 🚀 Features

- Warn if LangfuseTracer initialized without tracing enabled (#1231)

### 🧹 Chores

- Use text instead of content for ChatMessage in Llama.cpp, Langfuse and Mistral (#1238)

### 🌀 Miscellaneous

- Chore: Fix tracing_context_var lint errors (#1220)
- Fix messages conversion to OpenAI format (#1272)

## [integrations/langfuse-v0.6.0] - 2024-11-18

### 🚀 Features

- Add support for ttft (#1161)

### ⚙️ CI

- Adopt uv as installer (#1142)

### 🌀 Miscellaneous

- Fixed TypeError in LangfuseTrace (#1184)

## [integrations/langfuse-v0.5.0] - 2024-10-01

### 🧹 Chores

- Update ruff linting scripts and settings (#1105)

### 🌀 Miscellaneous

- Fix: Add delay to flush the Langfuse traces (#1091)
- Add invocation_context to identify traces (#1089)

## [integrations/langfuse-v0.4.0] - 2024-09-17

### 🚀 Features

- Langfuse - support generation span for more LLMs (#1087)

### 🚜 Refactor

- Remove usage of deprecated `ChatMessage.to_openai_format` (#1001)

### 📚 Documentation

- Add link to langfuse in LangfuseConnector (#981)

### 🧪 Testing

- Do not retry tests in `hatch run test` command (#954)

### ⚙️ CI

- Retry tests to reduce flakyness (#836)

### 🧹 Chores

- `Langfuse` - replace DynamicChatPromptBuilder with ChatPromptBuilder (#925)
- Remove all `DynamicChatPromptBuilder` references in Langfuse integration (#931)

### 🌀 Miscellaneous

- Ci: install `pytest-rerunfailures` where needed; add retry config to `test-cov` script (#845)
- Chore: Update Langfuse README to avoid common initialization issues (#952)
- Chore: langfuse - ruff update, don't ruff tests (#992)

## [integrations/langfuse-v0.2.0] - 2024-06-18

### 🌀 Miscellaneous

- Feat: add support for Azure generators (#815)

## [integrations/langfuse-v0.1.0] - 2024-06-13

### 🚀 Features

- Langfuse integration (#686)

### 🐛 Bug Fixes

- Performance optimizations and value error when streaming in langfuse (#798)

### 🧹 Chores

- Use ChatMessage to_openai_format, update unit tests, pydocs (#725)

### 🌀 Miscellaneous

- Chore: change the pydoc renderer class (#718)
- Docs: add missing api references (#728)

<!-- generated by git-cliff -->
